"use client"
import { Button } from "@/components/ui/button"
import { LogOutIcon } from "lucide-react"


async function handleLogout() {
  const res = await fetch('/api/auth/logout', {
    method: 'POST',
    headers: {
      'Content-type': 'application/json',
    }
  })
  console.log(res)
  window.location.reload()
}
export default function LogoutButton() {
  return (
    <Button variant="outline" className="w-fit" onClick={handleLogout} >
      <LogOutIcon />
    </Button>
  )
}
